Reports
Create a Report
post
/reports
Request Body (JSON)
| date_from string, required |
The start date in the format YYYY-MM-DD. |
| date_until string |
The end date in the format YYYY-MM-DD. Defaults to today's date. |
| events array |
An array containing the events you want to retrieve. See here below. Example: ["impressions","clicks"] |
| dimensions array, required |
An array containing 1 up to 5 dimensions for which you wish to retrieve the data. See here below. Example: ["day","campaign_id"] |
| filter object |
An object used for filtering report data. See here below. |
The events array
The following events are supported:
- ad_requests
- impressions
- clicks
- redirects
- conversions
- conversion_value
- value
- filled_impressions
- unfilled_impressions
- viewable_impressions
- measurable_impressions
- vast_skipped
- vast_skippable
- vast_started
- vast_q1
- vast_q2
- vast_q3
- vast_completed
- ce1
- ce2
- ce3
- ce4
- ce5
The dimension array
The following dimensions are supported:
- year
- month
- day
- hour
- weekday
- hour
- campaign_id
- creative_id
- zone_id
- ad_format
- ad_size
- tier
- country
- language
- domain
- device
- browser
- cd1
- cd2
- cd3
- cd4
- cd5
The filter object
You can filter the report data for campaigns or zones:
- campaign_id: an array with IDs. Example: [123456789,987654321]
- zone_id: an array with IDs. Example: [123456789,987654321]
Example Request
curl "https://{yourname}.api.adglare.app/v2/reports"
-X POST
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"date_from": "2026-07-20",
"date_until": "2026-07-21",
"events": ["impressions",
"clicks"],
"dimensions": ["day"],
"filter": {
"zone_id": [123456789,
987654321]
}
}'
-X POST
-H "Content-Type: application/json"
-H "Authorization: Bearer {api_key}"
-d '{
"date_from": "2026-07-20",
"date_until": "2026-07-21",
"events": ["impressions",
"clicks"],
"dimensions": ["day"],
"filter": {
"zone_id": [123456789,
987654321]
}
}'
HTTP 201 Example Response
